Subject: [Ips] MIB Doctor review: draft-ietf-ips-ifcp-mib-06.txt

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Mon, 5 Sep 2005 00:32:53 +0200

Sorry that it took so long to get back to this

Summary:
- as far as I am concerned this is good enuf to do IETF Last Call.
  And then you can consider the below as the first IETF Last Call
  comments to be addressed.

- Did the WG agree with all the changes made from rev 05 to rev 06?
  There were quite some changes that I think need to be verified
  to have consensus in the WG.

More details:
Looks much better than last time I reviewed.

- In the cases where you use STorageType, the DESCRIPTION clause
  MUST specify for which columns read-write acces is needed in
  case of a permanent row (RFC2579 explains this in the DESCRIPTION
  clause of the STorageType TC. Keith knows all about this.

- ZeroBasedCounterxx definitions do have text 
    "since  the iFCP connection was first established."
  Although at startup they start from zero, they can wrap around,
  and so you cannot assume that the value is always "since..."
  I would just remove the "since ..." clause of each of those 
  sentences in your MIB module.
  
- The have a discontinuity timer, in which you describe that
  it acts as the discontinuity timer for all ZeroBaseCounters
  However, formally you must specify in the DESCRIPTION clause of
  EACH such counter which object is the discontinuity timer.
  Keith knows all about this. Maybe it is too much of a CLR
  (Crappy Little Rule). So I won't block on it. But...

  By the way, a wraparound is NOT considered a discontinuity.

Issues with references and citations (not really a MIB Doctor
specific issue, but rather a generic issues):

  !! Missing citation for Normative reference:
  P001 L1331: 1    [ENTMBV3]  Bierman, A., and McCloghrie, K.,
                   "Entity MIB (Version

  !! Missing citation for Informative reference:
  P001 L1377: 7    [FC-FS]    Fibre Channel Framing and Signaling Interface,

  !! Missing citation for Informative reference:
  P001 L1380: 0    [FC-GS]    Fibre Channel - Generic Services, NCITS 348-2000.

  !! Missing citation for Normative reference:
  P001 L1323: 3    [IFCP001]  Charles Monia, Rod Mullendore, Franco Travostino,

  !! Missing citation for Normative reference:
  P001 L1338: 8    [RFC2021]  S. Waldbusser, "Remote Network Monitoring  
                               Management

  !! Missing citation for Normative reference:
  P001 L1348: 8    [RFC2571]  D. Harrington, R. Presuhn, and B. Wijnen, "An

By the way, RFC2571 has been obsoleted (a long time ago already) by
RFC3411.

  !! Missing citation for Normative reference:
  P001 L1341: 1    [RFC2856]  A. Bierman, K. McCloghrie, "Textual Conventions for

  !! Missing citation for Normative reference:
  P001 L1334: 4    [RFC3291]  M. Daniele, B. Haberman, S. Routhier, J. Schoenwaelder

by the wau, RFC3291 has been obsoleted byh RFC4001

A good way to include a citation is to add some prelimenary
text just nbefore the MIB module aka:

  The following MIB module imports from XXX-MIB [RFCxxxx],
  YYY-MIB [RFCyyyy] and ....

I guess you get the gist.

Bert

> -----Original Message-----
> From: Kevin Gibbons [mailto:[email-masked]]
> Sent: Monday, January 31, 2005 20:55
> To: [email-masked]
> Cc: [email-masked]; [email-masked]; [email-masked];
> [email-masked]; [email-masked]; 
> [email-masked]; Scott
> Kipp; Larry Hofer; G D Ramkumar; Charles Monia (email); Josh Tseng;
> [email-masked]; Jayesh Gada; Annie Wang; Joe White
> Subject: Updated iFCP MIB draft
> 
> 
> 
> The attached document (draft-ietf-ips-ifcp-mib-06.txt) is an official
> IETF standards track document.  Please post this draft and announce it
> on the IPS Working Group reflector: [email-masked].
> 
> Thanks very much,
> 	Kevin
> 

_______________________________________________
Ips mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ips

---

From: Allison Mankin <[email-masked]>
Date: Thu, 22 Sep 2005 06:05:34 -0700

Bert,

This MIB finished its Last Call today with no comments.

As you noted, it has been a very long time since its birth,
and in honor of the fact that the iFCP RFC has come out,
I wonder if we can help keep this MIB moving by taking
your Last Call comments into Notes to the RFC Editor
Editor instead of a new spin of the draft.  I read them
over and I think we could make this without too much
difficulty.

I'd like to put the iFCP MIB on the IESG's agenda for
the 29th.

Allison

---

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Thu, 22 Sep 2005 15:46:00 +0200

If you prefer to do it with notes-to-rfc-editor, that is fine by me.
Pls put them in ID tracker so I can check.

Bert

> From: Allison Mankin [mailto:[email-masked]]
> Sent: Thursday, September 22, 2005 15:06
> To: Wijnen, Bert (Bert)
> Cc: Kevin Gibbons; [email-masked]; Ipswg (E-mail); 
> [email-masked]; Mike
> MacFaden (E-mail); [email-masked]; [email-masked];
> Scott Kipp; Larry Hofer; G D Ramkumar; Charles Monia (email); Josh
> Tseng; [email-masked]; Jayesh Gada; Annie Wang; Joe White
> Subject: Re: MIB Doctor review: draft-ietf-ips-ifcp-mib-06.txt 
> 
> 
> Bert,
>